# Motrix - Meet on Matrix  

Motrixは、MacOS上で複数のAI APIクライアントになることを目指し、ユーザー操作システムとの統合機能を提供します。異なるAI役割を調整して、グローバルショートカット@ {⌘+ ⌥+ O}を使用して素早く戻ることができます。

## プライバシー

Motrixアプリは、ユーザーデータを一切収集、保存、送信しません。
私たちはアプリのクラッシュスタックやその他の基本的なイベントなど、分析データのみを収集しています。

### V1.7~1.8 特徴
---
- フローティングウィンドウモードを追加し、チャットウィンドウを新しい小さなフローティングパネルに変換します
- テキストをチャットウィンドウの任意の領域にドラッグしてメッセージを送信するようにサポートを追加
- レイアウト切り替えの表示を主要なツールバーオプションに追加し、カスタムレイアウトのリセットアイコンをサポートするように追加
- Motrixクイックシステムサービスを追加し、他のエディタアプリケーションでテキストを選択した場合、Motrixをクイックに選択してチャットノードセレクタをポップアップし、選択したテキストをチャットシステムに送信します
- メッセージの右クリックコンテキストメニューで素早くコピー、お気に入り、編集を追加
- AIチャットノードを自動的にクエリするデイリータイマーを追加し、啓発的またはインスピレーションのヒントをポップアップするために使用するか、1日に自動的にコーディングヒント、言語練習をポップアップするために使用することができます。（ユーザー問題行をダブルクリックしてください）
- スクロールの問題を修正
- テンプレートセレクタがポップアップされたときにテキストを挿入できない問題を修正
- Markdown改行バグを修正
- フローモードのパフォーマンス向上

### V1.5~1.6の機能  
---
- つ一つの応答トークンを取得するストリームモードを追加する
- メッセージ行をダブルタップしてメッセージ埋め込みの編集を追加する
- いくつかのUIカスタマイズのために設定に外観構成を追加する
- Light＆Darkサポートを備えた3つの新しいテーマを追加  
- レイアウト保存および復元機能を追加（現在のテーマ＆ライトダーク＆フォントサイズ＆オートオプションを含む...）  
- タイピングアニメーションオプションを追加  
- すべての他のシステムテキストエディタでMotrixのAPIを呼び出すOSテキストサービスを追加  
- MortixがmacOS 11.0、12.0デバイスと互換性があることを修正およびテスト済み  
- バグ修正とパフォーマンスの改善

### V1.4機能  
---
- すべての会話での検索をサポートする  
- バッチ選択モードをサポートします。メッセージを選択して共有またはエクスポートする  
- すべての会話でお気に入りを表示するサポート（検索メニュー内）  
- 各ノードの最大トークンをカスタマイズします（コンテキストメッセージなど、学習モデルがどれだけの文脈を把握するかに影響するため、これらの動作を理解している必要があります）  
- ノードのデフォルト入力モードをカスタマイズする  
- バグ修正とパフォーマンスの改善

### V1.1~V1.3 機能  
---
- スピーチモード：マイクを使用してテキストを録音できます。アプリはテキストに翻訳し、オーディオトラックを保持します。  
- グループチャットモード：親ノードを設定し、いくつかの子ノードを追加できます（AIロールとそのロールを初期化するためにシステムの指示を使用する必要があります）。親ノードでメッセージを送信すると、すべての子ノードが現在の会話中に応答します。  
- 自動クリップボード：応答すると自動的にコンテンツをクリップボードにコピーします。  
- 自動スピーチ：自動的に応答を話します。  
- 自動マスク：自動的にAIの応答をマスクします。これは、さまざまな言語の口頭練習をしたいユーザーを対象としています。

### V1.0の機能
---
- ChatGPT APIに接続する
- Markdownエディタを埋め込む [Try](motrix-hub//tinymarkdown）
- 木構造で自由にグループチャットノードをグループ化する（ドラッグアンドドロップをサポート）
- 明暗色のサポートがある3つのテーマ 🌙[Nord Dark](motrix-hub://theme-nord-dark) 🔆[Nord Light](motrix-hub://theme-nord-light) 🌙[System Dark](motrix-hub://theme-system-dark)
- AIチャットノードのグローバルクイックスイッチパネル
- コードブロックの色のレンダリング
```JS
function hello() {
   console.log("Hello World")
}
```
- 後でレビューまたはクエリのために任意の会話を保存する
- 保存された会話はローカルに保存されているため、オフラインで後で表示できます。
- カスタムプロンプトテンプレートとクイックポップアップ「/」
- カスタムチャットフォントサイズ
- カスタムチャットモデルパラメータ
