# Motrix - Meet on Matrix

Motrix는 MacOS에서 멀티 인공지능 API 클라이언트가 되고 사용자 운영 체제와 통합되는 기능을 제공하는 것을 목표로합니다. @{⌘+⌥+O}를 사용하여 서로 다른 인공 지능 역할을 조율하고 빠르게 되돌릴 수 있습니다.  

## 개인 정보  

모트릭스 앱은 사용자 데이터를 수집, 저장, 전송하지 않습니다.
앱 충돌 스택 및 기타 기본 이벤트와 같은 분석 데이터 만 수집합니다.  

### V1.7~1.8 기능  
---
- 띄어쓰기 창 모드 추가, 대화 창을 새 미니 플로팅 패널로 만들 수 있습니다.  
- 대화 창 어느 영역에서든 텍스트를 드래그하여 메시지를 보낼 수 있는 지원을 추가합니다.  
- 메인 툴바 옵션에서 레이아웃 전환 보기를 추가하고 사용자 지정 레이아웃 복원 아이콘을 지원합니다.  
- Motrix 퀵 시스템 서비스를 추가하여 다른 편집기 앱에서 텍스트를 선택하면 Motrix 퀵이 팝업 채팅 노드 선택기를 표시하고 선택한 텍스트를 채팅 시스템으로 보냅니다.  
- 메시지에 대한 우클릭 컨텍스트 메뉴를 추가하여 빠른 복사 및 즐겨찾기 및 편집을 할 수 있습니다.  
- 매일 타이머를 추가하여 인스파이어나 모티베이셔널한 팁이 팝업되도록 알파인 창 노드를 자동으로 쿼리하거나, 사용자 질문 행을 두 번 탭하여 일상적으로 코딩 팁, 언어 연습을 자동으로 띄울 수 있습니다.  
- 스크롤 문제 수정  
- 팝업 템플릿 선택기가 때로는 텍스트를 삽입할 수 없는 버그 수정  
- 마크다운 개행 버그 수정  
- 스트림 모드 성능 개선

### V1.5~1.6 기능  
---
- 응답 토큰을 하나씩 받기 위해 스트림 모드 추가
- 메시지 행을 두 번 탭하여 메시지 내장을 수정할 수 있도록 추가  
- 일부 UI를 사용자 정의하기 위해 설정에서 외관 구성을 추가합니다.
- 라이트 & 다크 지원을 포함한 3 가지 새 테마 추가  
- 현재 테마 및 lightDark 및 글꼴 크기 및 자동 옵션 등을 포함한 레이아웃 저장 및 복원 기능 추가  
- 타이핑 애니메이션 옵션 추가  
- 모든 다른 시스템 텍스트 편집기에서 Motrix의 API를 호출하는 os 텍스트 서비스 추가  
- macOS 11.0, 12.0 디바이스와 호환되는 것으로 확인된 버그 수정 및 성능 향상  

### V1.4 기능  
---
- 모든 대화에서 검색 지원  
- 일괄 선택 모드 지원. 대화 메시지를 선택하여 공유하거나 내보낼 수 있습니다.  
- 모든 대화에서 즐겨찾기 표시 지원 (검색 메뉴 내)  
- 각 노드 최대 토큰 사용자 정의 (이러한 작업이 어떻게 작동하는지, 즉 컨텍스트 메시지와 같은 것을 알아야합니다. 이는 ai가 컨텍스트를 얼마나 많이 알고 있는지에 영향을 미칠 수 있습니다).  
- 사용자 정의 노드 기본 입력 모드  
- 버그 수정 및 성능 향상  

### V1.1~V1.3 기능  
---
- 음성 모드 : 마이크를 사용하여 텍스트를 녹음 할 수 있습니다. 앱은 텍스트를 번역하고 오디오 트랙을 유지합니다.  
- 음성 말하기 콘텐츠 : 사용자 또는 봇 아바타를 클릭하면됩니다.  
- 그룹 채팅 모드 : 부모 노드를 설정하고 일부 하위 노드를 추가 할 수 있습니다 (ai 역할 및 역할을 초기화하려면 시스템 지침을 사용해야 함), 그런 다음 부모 노드에서 메시지를 보내면 모든 하위 항목이 현재 대화에서 응답을 제공합니다.  
- 자동 클립 보드 : 응답 시 내용 자동 복사  
- 자동 음성 : 자동 음성 응답  
- 자동 마스크 : 자동 마스크 인공 지능 응답. 이는 다양한 언어의 화법 연습을 원하는 사용자를 위한 것입니다.  

### V1.0 기능  
---
- 마크 다운 편집기 임베드 [Try](motrix-hub://tinymarkdown)  
- 트리 스타일로 자유롭게 그룹 채팅 노드를 만듭니다 (드래그 앤 드롭 지원)  
- 라이트 / 다크 색상 지원을 포함한 3 가지 테마 🌙[Nord Dark](motrix-hub://theme-nord-dark) 🔆[Nord Light](motrix-hub://theme-nord-light) 🌙[System Dark](motrix-hub://theme-system-dark)  
- 코드 블록 색상 렌더  
- 나중에 검토하거나 쿼리하기 위해 모든 대화 저장  
- 대화는 로컬에 저장되어 나중에 오프라인으로 볼 수 있습니다.  
- 사용자 정의 프롬프트 템플릿 및 "/"를 사용하여 빠른 팝업
