# Motrix - Meet on Matrix

Motrix 旨在成为 MacOS 上的多 AI API 客户端，并提供与用户操作系统集成的功能。
您可以调整不同的 AI 角色，然后使用全局快捷键 @{⌘+⌥+O} 快速切换。 

## 隐私

Motrix 应用程序不会收集、存储或传输任何用户数据。
我们仅收集分析数据，例如应用程序崩溃堆栈和其他基础事件。

### V1.7~1.8 功能  
---
- 添加了浮动窗口模式，您可以将聊天窗口转换为新的小浮动面板  
- 添加了支持拖动文本到聊天窗口的任何区域来发送消息的功能  
- 添加了在主工具栏上显示布局切换选项和支持自定义布局恢复图标的功能  
- 添加了Motrix快速系统服务，当在其他编辑器应用程序中选择任何文本时，选择Motrix 快速将弹出聊天节点选择器并将所选文本发送到聊天系统  
- 添加了快速复制和收藏和编辑信息的鼠标右键上下文菜单  
- 添加了每日定时器，自动查询AI聊天节点以弹出激励或动力提示，或者您可以使用它每天自动弹出编码提示，语言练习。（双击用户问题行）  
- 修复了滚动问题  
- 修复了有时不能插入文本的弹出模板选择器问题  
- 修复了markdown换行符号的问题  
- 流模式性能改进

### V1.5~1.6 功能
---
- 添加流模式以逐个获取响应令牌
- 双击消息行可对消息嵌入进行编辑
- 在设置中添加外观配置以进行一些UI定制
- 新增3个支持浅色和深色的主题  
- 新增布局保存和恢复功能（包括当前主题、浅色深色、字体大小、自动选项等）  
- 新增打字动画选项  
- 新增OS文本服务，在所有其它系统文本编辑器中调用Motrix的API  
- 修复和测试Mortix与macOS 11.0、12.0设备兼容性  
- 修复错误和提高性能

### V1.4 版本特点  
---
- 支持在所有会话中进行搜索
- 支持批量选择模式。选择聊天消息进行分享或导出
- 支持在所有会话中显示收藏夹（在搜索菜单中）
- 自定义每个节点的最大令牌数（您必须知道这些是如何工作的，例如上下文消息，它可以影响AI了解多少上下文）
- 自定义节点默认输入模式
- 修复了错误并提高了性能

### V1.1~V1.3 功能  
---
- 语音模式：您可以使用麦克风记录文本。应用程序将翻译为文本并保留音轨。  
- 群聊模式：您可以设置父节点并添加一些子节点（必须使用系统指令来初始化ai角色及其角色），然后在父节点中发送消息，所有的子节点将在当前会话中给出响应。  
- 自动剪贴板：响应时自动复制内容到剪贴板中  
- 自动朗读：自动朗读响应  
- 自动蒙版：自动蒙版ai响应。主要是针对希望练习各种语言口语的用户。

### V1.0 特性
---
- 连接 chatGPT API
- 嵌入 Markdown 编辑器 [试一试](motrix-hub://tinymarkdown)
- 自由分组聊天节点，支持树形样式（支持拖放）
- 3 个主题，支持明/暗色主题 🌙 [Nord 暗色](motrix-hub://theme-nord-dark) 🔆 [Nord 亮色](motrix-hub://theme-nord-light) 🌙 [系统暗色](motrix-hub://theme-system-dark)
- 全局快速 AI 聊天节点切换面板
- 代码块颜色渲染
```JS
function hello() {
    console.log("Hello World")
}
```
- 保存任何对话以供以后查看或查询
- 对话保存在本地，因此可以离线查看
- 自定义提示模板和快速弹出窗口使用 "/"
- 自定义聊天字体大小
- 自定义聊天模型参数
