# Motrix - Rencontre sur Matrix  

Motrix vise à être un client multi-API IA sur MacOS, et à fournir des fonctionnalités intégrées au système d'exploitation de l'utilisateur.  
Vous pouvez régler différents rôles d'IA et y revenir rapidement en utilisant des raccourcis globaux @{⌘+⌥+O}.  

## Vie privée  

L'application Motrix ne collecte, ne stocke ni ne transmet aucune donnée utilisateur.  
Nous ne collectons que des données d'analyse telles que la pile de plantage de l'application et d'autres événements de base.

### Fonctionnalités de la version V1.7 à 1.8  
---
- Ajout du mode fenêtre flottante, vous pouvez faire d'une fenêtre de chat une nouvelle petite fenêtre flottante.  
- Ajout de la fonction de glissement du texte vers n'importe quelle zone de la fenêtre de chat pour envoyer un message.  
- Ajout de l'option de commutation d'affichage sur la barre d'outils principale et prise en charge de l'icône de restauration de la disposition personnalisée.  
- Ajout du service rapide du système Motrix, lorsque dans une autre application éditeur vous sélectionnez n'importe quel texte, sélectionnez rapidement Motrix fera apparaître le sélecteur de nœuds de discussion et enverra le texte sélectionné au système de chat.  
- Ajout du menu contextuel du bouton droit de la souris sur le message pour une copie rapide, un favori et une édition rapide.  
- Ajout d'un minuteur quotidien pour interroger automatiquement le nœud de discussion de l'IA pour afficher des conseils inspirants ou motivants, ou vous pouvez l'utiliser pour afficher automatiquement des conseils de codage, des exercices linguistiques quotidiens. (Double tapez sur la ligne de question d'utilisateur)  
- Correction des problèmes de défilement.  
- Correction des problèmes du sélecteur de modèle qui ne peut parfois pas insérer de texte.  
- Correction d'un bogue de saut de ligne dans le markdown  
- Améliorations des performances du mode streaming.

### Fonctionnalités V1.5~1.6  
---
- Ajouter le mode flux pour obtenir les jetons de réponse un à un
- Ajout de la modification d'incrustation de message en double-cliquant sur la ligne de message  
- Ajout de la configuration d'apparence dans les paramètres pour une personnalisation de l'interface utilisateur
- Ajout de 3 nouveaux thèmes avec support Light & Dark  
- Ajout des fonctionnalités de sauvegarde et de restauration de la mise en page (y compris le thème actuel, LightDark, la taille de police et les options automatiques...)  
- Ajout de l'option d'animation de frappe  
- Ajout du service de texte Os, appel de l'API Motrix dans tous les autres éditeurs de texte système  
- Correction et test de la compatibilité de Mortix avec les appareils macOS 11.0, 12.0  
- Correction de bugs et améliorations de performance

### Fonctionnalités de la V1.4  
---
- Prise en charge de la recherche dans toutes les conversations  
- Prise en charge du mode de sélection par lot. Sélectionner des messages de discussion à partager ou à exporter  
- Prise en charge de l'affichage des favoris dans toutes les conversations (dans le menu de recherche)  
- Personnalisation du nombre maximal de jetons pour chaque nœud (vous devez savoir comment cela fonctionne, comme le message contextuel, cela peut affecter la capacité de l'IA à comprendre le contexte)  
- Personnalisation du mode d'entrée par défaut du nœud  
- Correction de bugs et améliorations de la performance

### Fonctionnalités de V1.1~V1.3
---
- Mode de parole: vous pouvez utiliser le microphone pour enregistrer du texte. L'application le traduira en texte et gardera la piste audio.
- Mode de discussion de groupe: vous pouvez définir un nœud parent et ajouter des nœuds enfants (doit utiliser les instructions du système pour initialiser le rôle AI et son rôle), puis envoyer un message dans le nœud parent, tous les nœuds enfants donneront une réponse dans la conversation en cours.
- Presse-papiers automatique: copie automatique du contenu dans le presse-papiers lors de la réponse.
- Réponse automatique de la parole: réponse automatique de la parole.
- Masquage automatique: réponse automatique de l'AI masquée. C'est principalement pour les utilisateurs qui souhaitent pratiquer la dictée de différentes langues.

### Fonctionnalités de la version 1.0  
---  
- Connexion à l'API chatGPT    
- Integration d'un éditeur markdown [Essayer](motrix-hub://tinymarkdown)  
- Groupe de chat libre avec un style de arborescence (prise en charge du glisser-déposer)  
- 3 thèmes avec support de couleurs claires/sombres 🌙[Nord sombre](motrix-hub://theme-nord-dark) 🔆[Nord lumière](motrix-hub://theme-nord-light) 🌙[Système sombre](motrix-hub://theme-system-dark)  
- Panneau de commutation rapide de chat IA global  
- Rendu de couleur de bloc de code  
```JS  
function hello() {  
   console.log("Hello World")  
}  
```  
- Enregistrer n'importe quelle conversation pour une révision ou une requête ultérieure  
- Les conversations sont enregistrées localement, ce qui permet de les consulter hors ligne ultérieurement.  
- Modèle de prompt personnalisé et popup rapide avec "/"  
- Taille de police de chat personnalisée  
- Paramètre de modèle de chat personnalisé
